<?php

function getConfigurationFile($fileType) {

    $environmentPath = __DIR__ . "/../configs/$fileType";

    if(!file_exists($environmentPath)) {
        errorMessage("Invalid $fileType file");
    }
    
    return file_get_contents($environmentPath);
}

function getClientName() {

    $clientDataPath  = __DIR__ . "/../configs/configs.json";
    
    if(!file_exists($clientDataPath)) {
        errorMessage("Invalid client config file");
    }
    
    return json_decode(file_get_contents($clientDataPath), true);
}

function errorMessage($error) {
    echo json_encode([
        'error'   => true,
        'message' => $error,
        'data'    => []
    ]); 
    die;
}